org.jboss.netty.handler.codec.spdy

## Class DefaultSpdySynStreamFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyHeaderBlock
  - - org.jboss.netty.handler.codec.spdy.DefaultSpdySynStreamFrame

All Implemented Interfaces:
  SpdyHeaderBlock, SpdySynStreamFrame

    public class DefaultSpdySynStreamFrame
    extends DefaultSpdyHeaderBlock
    implements SpdySynStreamFrame

The default `SpdySynStreamFrame` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSpdySynStreamFrame(int streamID, int associatedToStreamId, byte priority)` Creates a new instance.

### Method Summary

Methods
`int` `getAssociatedToStreamId()` Returns the Associated-To-Stream-ID of this frame.
`int` `getAssociatedToStreamID()`
`byte` `getPriority()` Returns the priority of the stream.
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()`
`boolean` `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
`boolean` `isUnidirectional()` Returns `true` if the stream created with this frame is to be considered half-closed to the receiver.
`void` `setAssociatedToStreamId(int associatedToStreamId)` Sets the Associated-To-Stream-ID of this frame.
`void` `setAssociatedToStreamID(int associatedToStreamId)`
`void` `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
`void` `setPriority(byte priority)` Sets the priority of the stream.
`void` `setStreamId(int streamId)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamId)`
`void` `setUnidirectional(boolean unidirectional)` Sets if the stream created with this frame is to be considered half-closed to the receiver.
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.spdy.DefaultSpdyHeaderBlock

`addHeader, appendHeaders, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jboss.netty.handler.codec.spdy.SpdyHeaderBlock

`addHeader, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

### Constructor Detail

#### DefaultSpdySynStreamFrame

    public DefaultSpdySynStreamFrame(int streamID,
                             int associatedToStreamId,
                             byte priority)

Creates a new instance.

Parameters:
  `streamID` - the Stream-ID of this frame
  `associatedToStreamId` - the Associated-To-Stream-ID of this frame
  `priority` - the priority of the stream

### Method Detail

#### getStreamID

    public int getStreamID()

Specified by:
  `getStreamID` in interface `SpdySynStreamFrame`

#### getStreamId

    public int getStreamId()

Description copied from interface: `SpdySynStreamFrame`
Returns the Stream-ID of this frame.

Specified by:
  `getStreamId` in interface `SpdySynStreamFrame`

#### setStreamID

    public void setStreamID(int streamId)

Specified by:
  `setStreamID` in interface `SpdySynStreamFrame`

#### setStreamId

    public void setStreamId(int streamId)

Description copied from interface: `SpdySynStreamFrame`
Sets the Stream-ID of this frame. The Stream-ID must be positive.

Specified by:
  `setStreamId` in interface `SpdySynStreamFrame`

#### getAssociatedToStreamID

    public int getAssociatedToStreamID()

Specified by:
  `getAssociatedToStreamID` in interface `SpdySynStreamFrame`

#### getAssociatedToStreamId

    public int getAssociatedToStreamId()

Description copied from interface: `SpdySynStreamFrame`
Returns the Associated-To-Stream-ID of this frame.

Specified by:
  `getAssociatedToStreamId` in interface `SpdySynStreamFrame`

#### setAssociatedToStreamID

    public void setAssociatedToStreamID(int associatedToStreamId)

Specified by:
  `setAssociatedToStreamID` in interface `SpdySynStreamFrame`

#### setAssociatedToStreamId

    public void setAssociatedToStreamId(int associatedToStreamId)

Description copied from interface: `SpdySynStreamFrame`
Sets the Associated-To-Stream-ID of this frame. The Associated-To-Stream-ID cannot be negative.

Specified by:
  `setAssociatedToStreamId` in interface `SpdySynStreamFrame`

#### getPriority

    public byte getPriority()

Description copied from interface: `SpdySynStreamFrame`
Returns the priority of the stream.

Specified by:
  `getPriority` in interface `SpdySynStreamFrame`

#### setPriority

    public void setPriority(byte priority)

Description copied from interface: `SpdySynStreamFrame`
Sets the priority of the stream. The priority must be between 0 and 7 inclusive.

Specified by:
  `setPriority` in interface `SpdySynStreamFrame`

#### isLast

    public boolean isLast()

Description copied from interface: `SpdySynStreamFrame`
Returns `true` if this frame is the last frame to be transmitted on the stream.

Specified by:
  `isLast` in interface `SpdySynStreamFrame`

#### setLast

    public void setLast(boolean last)

Description copied from interface: `SpdySynStreamFrame`
Sets if this frame is the last frame to be transmitted on the stream.

Specified by:
  `setLast` in interface `SpdySynStreamFrame`

#### isUnidirectional

    public boolean isUnidirectional()

Description copied from interface: `SpdySynStreamFrame`
Returns `true` if the stream created with this frame is to be considered half-closed to the receiver.

Specified by:
  `isUnidirectional` in interface `SpdySynStreamFrame`

#### setUnidirectional

    public void setUnidirectional(boolean unidirectional)

Description copied from interface: `SpdySynStreamFrame`
Sets if the stream created with this frame is to be considered half-closed to the receiver.

Specified by:
  `setUnidirectional` in interface `SpdySynStreamFrame`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`